From 4abab920260ced5c8c0dc85f0fa148d87864abb6 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Jan 18 2018 16:36:31 +0000
Subject: [PATCH 30/48] allow unsetting eol date


---

diff --git a/modulemd/__init__.py b/modulemd/__init__.py
index d04e5bc..41f8425 100644
--- a/modulemd/__init__.py
+++ b/modulemd/__init__.py
@@ -161,10 +161,7 @@ class ModuleMetadata(object):
         self.arch = ""
         self.summary = ""
         self.description = ""
-        # Don't pre-set EOL, since we don't have a valid value yet
-        # The Modulemd.Module() default initializes it to an appropriate invalid
-        # date.
-        #self.eol = None
+        self.eol = None
         self.servicelevels = {}
         self.module_licenses = set()
         self.content_licenses = set()
@@ -344,7 +341,10 @@ class ModuleMetadata(object):
         if not isinstance(o, datetime.date) and o is not None:
             raise TypeError("eol: data type not supported")
 
-        d = GLib.Date.new_dmy(o.day, o.month, o.year)
+        if o:
+            d = GLib.Date.new_dmy(o.day, o.month, o.year)
+        else:
+            d = None
         self.module.set_eol(d)
 
     @property

